package com.yutou.tools.mybatis.dao;

import com.yutou.tools.mybatis.model.ToolsPassword;
import com.yutou.tools.mybatis.model.ToolsPasswordExample;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface ToolsPasswordDao {
    long countByExample(ToolsPasswordExample example);

    int deleteByExample(ToolsPasswordExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(ToolsPassword record);

    int insertSelective(ToolsPassword record);

    List<ToolsPassword> selectByExample(ToolsPasswordExample example);

    ToolsPassword selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") ToolsPassword record, @Param("example") ToolsPasswordExample example);

    int updateByExample(@Param("record") ToolsPassword record, @Param("example") ToolsPasswordExample example);

    int updateByPrimaryKeySelective(ToolsPassword record);

    int updateByPrimaryKey(ToolsPassword record);
}